%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:                jboss-dmr
Version:             1.7.0
Release:             1
Summary:             JBoss DMR
License:             LGPLv2+ and Apache-2.0
URL:                 https://github.com/jbossas/jboss-dmr
Source0:             https://github.com/jbossas/jboss-dmr/archive/%{namedversion}.tar.gz
BuildArch:           noarch
BuildRequires:       maven-local mvn(jdepend:jdepend)
BuildRequires:       mvn(junit:junit) mvn(org.jboss.apiviz:apiviz:pom:)
BuildRequires:       mvn(org.jboss:jboss-parent:pom:) mvn(org.jboss.logmanager:jboss-logmanager)
BuildRequires:       jboss-logging jboss-logging-tools

%description
This package contains the Dynamic Model Representation.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains the API documentation for %{name}.

%prep
%autosetup -n %{name}-%{namedversion} -p1
%pom_remove_plugin :maven-checkstyle-plugin 

%build
%mvn_build -f -- -Dsource=21

%install
%mvn_install

%files -f .mfiles

%files javadoc -f .mfiles-javadoc

%changelog
* Thu Feb 15 2024 zke_012020 <keer.oerv@isrc.iscas.ac.cn> - 1.7.0-1
- Upgrade to version 1.7.0

* Tue Jan 18 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.6.1-1
- Upgrade to version 1.6.1

* Tue Jan 26 2021 huanghaitao <huanghaitao@huawei.com> - 1.5.1-1
- Update to 1.5.1

* Fri Aug 14 2020 yaokai <yaokai13@huawei.com> - 1.3.0-1
- Package init
